#!/usr/bin/env sh

while true; do
  inotifywait -e modify,create,delete -r ./build.zig ./build.zig.zon ./src/*
  clear
  echo "File change detected. Running tests..."
  zig build run
  echo "Waiting for changes..."
done
